Name: links1
Version: 0.99
%define pre pre13
Release: alt11%pre

%set_compress_method gzip

Summary: Lynx-like text WWW browser
License: GPL
Group: Networking/WWW

Packager: Alexey Tourbin <at@altlinux.ru>

Url: http://links.sourceforge.net
# http://artax.karlin.mff.cuni.cz/~mikulas/links/download/ -- links1
# http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/ -- links2
Source0: links-%version%pre.tar.bz2
Source1: www_section.xpm

Patch0: links-0.95-owl-tmp.diff
Patch1: links-dump_no7bit.diff
#atch2: links-0.96-cookie-parsing.patch
Patch3: links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch4: links-0.96-alt-mdk-cookies-save.patch
Patch5: links-0.96-no-domain-security.patch
Patch6: links-0.96pre4-S-key-make-save.patch
Patch7: links-0.96-default.patch
Patch8: links-0.97-no-flashy-white.patch
Patch9: links-0.97-color-by-default.patch

Patch10: links-0.98-pld-gzip_fallback.patch
Patch11: links-0.99-pld-content_encoding.patch
Patch12: links-0.98-alt-vi-keys.patch
Patch13: links-0.98-alt-env-http_proxy.patch

PreReq: alternatives >= 0.0.6

Requires: common-licenses
Provides: webclient, /usr/bin/links, links = %version-%release
Obsoletes: links <= %version-%release

# Automatically added by buildreq on Thu Aug 28 2003
BuildRequires: libalternatives-devel libgpm-devel libssl-devel zlib-devel

%description
Links is a text based WWW browser, at first look similar to Lynx,
but somehow different:
+ renders tables and frames
+ displays colors as specified in current HTML page
+ uses drop-down menu (like in Midnight Commander)
+ can download files in background

%prep
%setup -q -n links-%version%pre

%patch0 -p1
%patch1 -p1
#patch2 -p1
%patch3 -p1
%patch4 -p1
#patch5 -p1 --disabled
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%build
%__aclocal
%__automake -a -f
%__autoconf
%configure
(cd Unicode; chmod +x gen*; LC_ALL=C ./gen)
%make_build

%install
%makeinstall
%__mv %buildroot%_bindir/links %buildroot%_bindir/links-%version
%__ln_s links-%version %buildroot%_bindir/%name
%__mv %buildroot%_man1dir/links.1 %buildroot%_man1dir/%name.1
%__mkdir_p %buildroot{%_iconsdir,%_menudir,%_altdir}

%__cat <<EOF >%buildroot%_menudir/%name
?package(%name): \
	command="%_bindir/%name" \
	needs="text" \
	icon="%name.xpm" \
	section="Networking/WWW" \
	title="Links1" \
	longtitle="Lynx-like text WWW browser"
EOF

%__cat <<EOF >%buildroot%_altdir/%name
<group name="candidate">
    <option name="link">%_bindir/links</option>
    <option name="real">%_bindir/%name</option>
    <option name="weight" type="number">10</option>
    <group name="slave">
        <option name="link">%_man1dir/links.1.gz</option>
        <option name="real">%_man1dir/%name.1.gz</option>
    </group>
</group>
EOF

%__install -m644 %SOURCE1 %buildroot%_iconsdir/%name.xpm
%__ln_s -f %_datadir/license/GPL-2 COPYING

%post
%register_alternatives %name -- links links.1.gz
%update_menus

%triggerpostun -- links, %name < 0.98-alt4
%register_alternatives %name -- links links.1.gz

%preun
%unregister_alternatives %name

%postun
%clean_menus

%files
%doc AUTHORS BUGS ChangeLog NEWS README SITES TODO
%doc --no-dereference COPYING
%_bindir/%name
%_bindir/links-%version
%_man1dir/%name.*
%_menudir/%name
%_altdir/%name
%_iconsdir/*.xpm

%changelog
* Thu Nov 06 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt11pre13
- 0.99pre13

* Tue Sep 16 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt10pre9
- 0.99pre9

* Thu Aug 28 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt9pre8
- cookies-save.patch reworked (possible segfaults fixed)

* Tue Jul 08 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt8pre8
- 0.99pre8

* Tue Jun 10 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt7pre7
- 0.99pre7
- cookie-parsing.patch removed (got better fix)

* Thu May 08 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt6pre5
- 0.99pre5

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt5pre2
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt4pre2
- PreReq fixes

* Wed Mar 12 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt3pre2
- update buildreqs

* Tue Mar 11 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99-alt2pre2
- move to new alternatives scheme
  warning to mantainter: alternatives removing must be in preun
- added packager tag

* Fri Mar 07 2003 Alexey Tourbin <at@altlinux.ru> 0.99-alt1pre2
- 0.99pre2 (bugfix release)

* Tue Jan 14 2003 Alexey Tourbin <at@altlinux.ru> 0.98-alt4
- fixed %%postun code
- alt-env-http_proxy patch

* Mon Dec 23 2002 Alexey Tourbin <at@altlinux.ru> 0.98-alt3
- triggerpostun added in order to update alternatives accurately
- COPYING link added (points to /usr/share/license/GPL-2)

* Mon Dec 04 2002 Alexey Tourbin <at@altlinux.ru> 0.98-alt2
- package renamed (links -> links1); support for alternatives added
- alt-vi-keys patch (Alexey Dyachenko)
- no-domain-security patch disabled

* Wed Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 0.98-alt1
- 0.98
- pld-content_encoding, pld-gzip_fallback patches (gzip support)

* Fri Oct 25 2002 Stanislav Ievlev <inger@altlinux.ru> 0.97-alt2
- rebuild with gcc3
- I don't want to support 2.x versions: too many features

* Thu May 16 2002 Stanislav Ievlev <inger@altlinux.ru> 0.97-alt1
- 0.97
- merge with our old patches.

* Wed Jan 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.96-alt2
- added automatic recognize of language and charset.
- we can remove .links from etcskels.

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.96-alt1
- Final release
- Some patches from Mandrake

* Sun Sep 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.96-alt0.66
- Patch from Mouse no7bit
- Some spec cleanup

* Thu Jun 14 2001 AEN <aen@logic.ru> 0.96-alt0.65
- patches from Owl

* Thu Jun 14 2001 AEN <aen@logic.ru> 0.96-alt0.6
- new sources

* Thu Jan 16 2001 AEN <aen@logic.ru>
- RE adaptation
- pt154 support

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.95-1mdk
- new version

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.94-1mdk
- new version

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.9mdk.pre9
- new version

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.8mdk.pre8
- new version

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.7mdk.pre7
- new version
- remove the menu until icons are provided

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.6mdk.pre5
- add menu

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94-0.5mdk.pre5
- make Q as fast quit without confirmation like lynx.

* Sun Nov 19 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.4mdk.pre5
- new release

* Thu Nov  9 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.3mdk.pre4
- new release

* Tue Oct 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.1mdk.pre1
- new release
- minor spec cleaning

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 0.93-0.2mdk.pre4
- new release

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93-0.1mdk
- new release

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-8mdk
- fix mispelling

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.92-6mdk
- add-M-key-to the README

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 0.92-5mdk
- have colors by default

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.92-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.92-3mdk
- cleanup, BM

* Mon Jul 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.92-2mdk
- added support for a lot of new charset encodings (Thai, Vietnamese,
  Esperanto, Hebrew, Arabic, Farsi, Armenian, Greek, Turkish & Celtic)

* Sun Jul  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-1mdk
- new version

* Fri Mar 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.84-1mdk
- frist mandrake version (adapted from PLD Team rpm package)

